import { html as h } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (c, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? v(t, s) : t, i = c.length - 1, l; i >= 0; i--)
    (l = c[i]) && (e = (o ? l(t, s, e) : l(e)) || e);
  return o && e && u(t, s, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chevronDoubleRight", this.class = "c-pieIcon c-pieIcon--chevronDoubleRight", this.name = "IconChevronDoubleRight";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chevronDoubleRight"><path d="M7.754 13.18 13.126 8 7.71 2.82l.875-.963 5.539 5.347a1.164 1.164 0 0 1 0 1.636l-5.469 5.285-.901-.945Z"></path><path d="M2.784 13.18 8.139 8 2.74 2.82l.875-.963L9.18 7.204a1.164 1.164 0 0 1 0 1.671l-5.495 5.25-.901-.945Z"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], r.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = n([
  f("icon-chevron-double-right")
], r);
export {
  r as IconChevronDoubleRight
};
